@ECHO OFF
IF %1. == . goto INSUFFICIENT_PARAMS
IF %2. == . goto INSUFFICIENT_PARAMS

nant_bins\nant.exe -l:out.log VBECS.Patch.%1 -buildfile:patch.build.xml -t:net-1.1 -logger:NAnt.Core.VBECS.Listener -D:VBECS.ClusterIP="[X.X.X.X]" -D:VBECS.SQLServerName="[SERVER_NAME]" -D:VBECS.InfoMsgTimeout="10" -D:VBECS.AdminName="[NAME]" -D:VBECS.AdminEMail="[E-MAIL]" -D:VBECS.AdminPhone="[PHONE]" -D:VBECS.EnvCaseInsensitive=%2 -D:patch-build-file="vbecs_patch.build.xml"
goto END

:INSUFFICIENT_PARAMS
ECHO.
ECHO Missing input parameters: 
ECHO.
ECHO run.bat [target] [environment]
ECHO.
ECHO [target]        NAnt target to execute. 
ECHO.                Target name will be resolved as VBECS.Patch.[target]
ECHO                        (ie. Apply, dts, Cluster)
ECHO.
ECHO [environment]        VBECS environment to be acted upon
ECHO                        Sets the VBECS.EnvCaseInsensitive property
ECHO                        (ie. prod, test, servicemonitor)
ECHO.
ECHO         Example: run.bat Apply prod
ECHO.
ECHO.
:END